%define module_name	promise
%define module_version	2004.12.26
%define module_release	alt1.132125.9

%define kversion	2.4.29
%define krelease	alt9
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Promise IDE/RAID controller drivers
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware
URL:		http://www.promise.com

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
Drivers for Promise IDE/RAID controllers.

These are modules for your ALT Linux system.

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%__make install MODULE_INSTALL_DIR=%buildroot/%module_dir \
	DOC_DIR=%buildroot/%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.26-alt1.132125.9
- New version:
  - Updated FastTrak SX4000 driver to b24.
  - Added SATAII-150 series driver (ulsata2 module):
    + PDC40518        Promise SATAII150 TX4
    + PDC20575        Promise SATAII150 TX2plus
    + PDC20579        Promise SATAII150 579
  - Added FastTrak TX2200/4200/579 series driver (ftsata2 module):
    + FastTrak 579
    + FastTrak TX2200
    + FastTrak TX4200
    - binary-only parts have invalid references to kernel symbols; as a
      workaround, this module is compiled with CONFIG_MODVERSIONS disabled

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt5.132125.9
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt4.132125.9
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt3.132125.9
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt2.132125.9
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Thu Dec 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt1.132125.9
- New version of FastTrak and ft3xx drivers - fixes unresolved symbols problem.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt3.132125.9
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt2.132125.9
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1.132125.9
- Initial build
